@charset "UTF-8";

@import url("https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&family=Pacifico&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap");

@media (max-width: 480px) {
  .navbar {
    width: 85%;
    height: 8vh;
    /* display: flex;
    flex-direction: row;
    justify-content: space-between;*/
    align-items: center; 
    display: grid;
    grid-template-columns: repeat(4,1fr);
    column-gap: 10px;
    border-bottom: 0.1rem solid var(--color02);
    /* padding: 0rem 0.7rem; */
    position: fixed;
    z-index: 1000;

    .navbar__top {
      display: none;
    }

    .navbar__bottom {
      grid-column: 1/5;
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-items: center;

      .navbar__logo {
        display: flex;
        flex-direction: row;

        .navbar__logo-text {
          font-size: 1.4rem;
          font-weight: 700;
          text-transform: uppercase;
        }
      }
    }

    .Hamburger {
      width: 20px;
      height: 20px;
      display: flex;
      flex-direction: column;
      gap: 6rem;
    }

    .Hamburger span {
      background-color: #003049;
      height: 3px;
      width: 100%;
      border-radius: 5px;
      transition: 0.3s;
    }

    .Menu {
      width: 50%;
      height: auto;
      position: absolute;
      top: 4.5rem;
      right: 0;
      box-shadow:
        rgba(60, 64, 67, 0.3) 0px 1px 2px 0px,
        rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
      background-color: var(--color02);
      padding: 1rem;
      display: none;
      flex-direction: column;
      z-index: 9999;
      border-radius: 1rem;

      .menu__items {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 1rem;
      }

      .menu__item {
        width: 75%;
        display: flex;
        flex-direction: row;
        justify-content: start;
        align-items: center;
        gap: 0.8rem;
      }
    }

    .Menu a {
      font-size: 1.15rem;
      color: #fff;
      text-decoration: none;
      padding: 10px 0;
    }

    .Menu a:hover {
      color: #00c3ff;
    }

    /* Animación al activar */
    .Hamburger.active span:nth-child(1) {
      transform: translateY(9px) rotate(45deg);
    }

    .Hamburger.active span:nth-child(2) {
      opacity: 0;
    }

    .Hamburger.active span:nth-child(3) {
      transform: translateY(-9px) rotate(-45deg);
    }

    .Menu.show {
      display: flex;
      justify-content: center;
    }
  }

  .navbar.scrolled {
    box-shadow:
      rgba(60, 64, 67, 0.3) 0px 1px 2px 0px,
      rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
    background-color: var(--color05);
    border-radius: 1rem;
    border-bottom: none;
    transition: 1s;
  }
  .navbar__actions {
    display: none;
  }
}

@media (min-width: 1200px) {
  .navbar {
    width: 100%;
    height: 14vh;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: 6vh 6vh;
    grid-column-gap: 20px;
    grid-row-gap: 10px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;

    .navbar__top {
      grid-column: 2/12;
      grid-row: 1/1;
      display: flex;
      flex-direction: row;
      align-items: center;
      background-color: var(--color02);
      border-radius: 1rem;
      margin-top: 0.5rem;

      .navbar__contact-info {
        display: flex;
        flex-direction: row;
        align-items: center;
        padding-left: 1rem;
        gap: 2rem;
        list-style-type: none;

        .navbar__contact-item {
          display: flex;
          align-items: center;
          gap: 0.8rem;
          /* border-radius: 0.8rem;
          border: 0.1rem solid var(--color03);
          box-shadow:
            rgba(0, 0, 0, 0.02) 0px 1px 3px 0px,
            rgba(27, 31, 35, 0.15) 0px 0px 0px 1px; */
          padding: 0.4rem 0.5rem;

          .navbar__contact-link {
            font-weight: 500;
            color: var(--color01);
            text-decoration: none;
          }
        }
      }
    }

    .navbar__bottom {
      grid-column: 2/12;
      grid-row: 2/2;
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: space-between;

      .navbar__container {
        width: 15%;
        height: 100%;
        display: flex;
        flex-direction: row;
        justify-content: start;
        align-items: center;
        gap: 0.5rem;

        .navbar__logo-text {
          font-size: 2rem;
          font-weight: 700;
          text-transform: uppercase;
          text-align: end;
          font-family:
            "Raleway",
            sans serif;
        }
      }

      .Menu {
        display: flex;
        justify-content: center;
        border: 0.1rem solid var(--color02);
        box-shadow:
          rgba(0, 0, 0, 0.02) 0px 1px 3px 0px,
          rgba(27, 31, 35, 0.15) 0px 0px 0px 1px;
        border-radius: 0.8rem;

        .menu__items {
          display: flex;
          flex-direction: row;
          align-items: center;
          justify-content: center;
          gap: 1rem;
          list-style-type: none;
          padding: 0.2rem;

          .menu__item {
            list-style-type: none;
            margin: 0.5rem;

            img {
              display: none;
            }

            .menu__link {
              color: var(--color02);
              font-weight: 600;
              text-transform: uppercase;
              text-decoration: none;
            }
          }

          .item__disable {
            display: none;
          }
        }
      }

      .navbar__actions {
        width: 15%;
        display: flex;
        justify-content: end;

        .header__btn--contact {
          background-color: var(--color03);
          color: var(--color01);
          margin: 0.2rem;
          padding: 0.5rem;
          border-radius: 0.8rem;
        }
      }
    }
  }

  .Hamburger {
    display: none;
  }

  .navbar.scrolled {
    box-shadow:
      rgba(60, 64, 67, 0.3) 0px 1px 2px 0px,
      rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
    background-color: var(--color05);
    /* border-radius: 1rem; */
    border-bottom: none;
    transition: 1s;
  }
}
